Subject: intend-to-edit flag

From: Thomas Koch <[email-masked]>
Date: Thu, 04 Jul 2013 19:56:40 +0200

Hi,

we're evaluating Git to be used in our companies Tool. But a hard requirement 
is the possibility to set an "intend-to-edit" flag on a file (better path).
Notice that I did not use the word "lock"! :-)

One easy implementation might be a special branch "XYZ-locks" that contains an 
empty blob for every flagged file. So our tool just needs to check, whether a 
blob exists for the path that's intended to edit, tries to push a commit that 
touches the file and only allows editing if the push succeeds.

Does anybody have a better idea, maybe with notes?

Thank you,

Thomas Koch, http://www.koch.ro